FAGENRULES(8)

NAME
fagenrules - a script that merges component fapolicyd rule files

SYNOPSIS
fagenrules [--check] [--load]

DESCRIPTION
fagenrules is a script that merges all component fapolicyd rules files, found in the fapolicyd rules directory, /etc/fapolicyd/rules.d, placing the merged file in /etc/fapolicyd/compiled.rules. Component fapolicyd rule files, must end in .rules in order to be processed. All other files in /etc/fapolicyd/rules.d are ignored.

The files are concatenated in order, based on their natural sort (see -v option of ls(1)) and stripped of empty and comment (#) lines.

The generated file is only copied to /etc/fapolicyd/compiled.rules, if it differs.

OPTIONS

--check
    test if rules have changed and need updating without overwriting compiled.rules.

--load
    load old or newly built rules into the daemon.

FILES
/etc/fapolicyd/rules.d/ /etc/fapolicyd/compiled.rules

SEE ALSO
fapolicyd.rules(5), fapolicyd-cli(8), fapolicyd(8).